: Class BasicCommandRegistry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi.commands
Class BasicCommandRegistry

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.CommandRegistry
            |
            +--org.w3c.jigsaw.ssi.commands.BasicCommandRegistry

Direct Known Subclasses:
  DefaultCommandRegistry

public class BasicCommandRegistry
extends CommandRegistry

An implementation of CommandRegistry that uses a hash table to store the commands.

See Also:
  Serialized Form

Constructor Summary
`BasicCommandRegistry()`

Method Summary
`protected Command` | `getDebugWrapperCommand(Command cmd)`
`java.util.Dictionary` | `initVariables(SSIFrame ssiframe, Request request, java.util.Dictionary variables)` Initialize execution variables.
`Command` | `lookupCommand(java.lang.String name)` Look up a command from its name.
`void` | `registerCommand(Command cmd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicCommandRegistry

    public BasicCommandRegistry()

Method Detail

### registerCommand

    public void registerCommand(Command cmd)

### getDebugWrapperCommand

    protected Command getDebugWrapperCommand(Command cmd)

### lookupCommand

    public Command lookupCommand(java.lang.String name)

  Description copied from class: CommandRegistry
  Look up a command from its name. (Should never return null, and have a pseudo-command to handle non-existent commands).
  Overrides:
    lookupCommand in class CommandRegistry
  Tags copied from class: CommandRegistry
  Parameters:
    `name` - the name
  Returns:
    the command

### initVariables

    public java.util.Dictionary initVariables(SSIFrame ssiframe,
                                              Request request,
                                              java.util.Dictionary variables)

  Description copied from class: CommandRegistry
  Initialize execution variables. Called before any of the SSI commands in the documents are executed. This method augments or modifies the dictionary given as argument. If the variable dictionary is null, it may create a new one and return it. SSIFrame will always call this method with variables set to null. Its existence is mainly to facilitate the subclassing of an existing registry.
  Overrides:
    initVariables in class CommandRegistry
  Tags copied from class: CommandRegistry
  Parameters:
    `request` - the HTTP request
    `variables` - other variables previously defined
  Returns:
    the modified/augmented set of variables

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD